## CamelMimeFilterCRLF

CamelMimeFilterCRLF

## Functions

CamelMimeFilter * | camel_mime_filter_crlf_new ()

## Types and Values

struct | CamelMimeFilterCRLF
enum | CamelMimeFilterCRLFDirection
enum | CamelMimeFilterCRLFMode

## Object Hierarchy

        GObject
        ╰── CamelMimeFilter
            ╰── CamelMimeFilterCRLF

## Description

## Functions

### camel_mime_filter_crlf_new ()

    CamelMimeFilter *
    camel_mime_filter_crlf_new (CamelMimeFilterCRLFDirection direction,
                                CamelMimeFilterCRLFMode mode);

Create a new CamelMimeFiletrCRLF object.

#### Parameters

direction | encode vs decode |
mode | whether or not to perform SMTP dot-escaping |

#### Returns

a new CamelMimeFilterCRLF object

## Types and Values

### struct CamelMimeFilterCRLF

    struct CamelMimeFilterCRLF;

### enum CamelMimeFilterCRLFDirection

#### Members

CAMEL_MIME_FILTER_CRLF_ENCODE |  |
CAMEL_MIME_FILTER_CRLF_DECODE |  |

### enum CamelMimeFilterCRLFMode

#### Members

CAMEL_MIME_FILTER_CRLF_MODE_CRLF_DOTS |  |
CAMEL_MIME_FILTER_CRLF_MODE_CRLF_ONLY |  |